Skip to main content
`Ctrl`+`K`

# SNESFASCycleGetCorrection

Gets the coarse correction `SNESFAS` context for this level

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetCorrection(SNES snes, SNES *correction)

Logically Collective

## Input Parameter

- snes - the `SNESFAS` obtained with `SNESFASGetCycleSNES()`

## Output Parameter

- correction - the coarse correction solve on this level

## Note

Returns `NULL` on the coarsest level.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASCycleGetSmootherUp()`, `SNESFASCycleGetSmoother()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages